package org.shadoware.eggskeeper;

import org.shadoware.eggskeeper.engine.TextElement;
import org.shadoware.eggskeeper.engine.math.ColorRGBA;


public class Counter extends TextElement {
	
	private int 	points;
	private int	startingPoints;
	private String title;
	
	
	/**
	 * Constructor
	 * 
	 * @param title: text before the points
	 * @param size: size of the text
	 * @param x: x position
	 * @param y: y position
	 * @param color: color of the text
	 */
	public Counter(
			String title, 
			float size, 
			float x, 
			float y, 
			ColorRGBA color,
			int startingPoints) {
		
		super();
		this.title = title;
		setSize(size);
		setPosition(x, y, 0.0f);
		setColor(color);
		this.startingPoints = startingPoints;
		clear();
	}
	
	
	/**
	 * Add the points to the score
	 */
	public void addPoints(int points) {
		
		this.points += points;
		updateText(this.points);
	}
	
	/**
	 * Resets the score points to 0
	 */
	public void clear() {
		
		points = startingPoints;
		updateText(points);
	}
	
	
	/**
	 * Generate a new texture with the current points
	 */
	private void updateText(int points) {
		
		setText(title + points);
	}

	
	/**
	 * Returns the current score points
	 */
	public int getPoints() {
		
		return points;
	}

}
