package org.shadoware.eggskeeper;

import org.shadoware.eggskeeper.engine.SceneView;
import org.shadoware.eggskeeper.engine.math.ColorRGBA;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;


public class GameActivity extends Activity {
	
	private final ColorRGBA BG_COLOR = new ColorRGBA(0.0f, 0.0f, 0.0f, 1.0f);
	
	private SceneView  	sceneView;
	private GameScene 	scene;

	
    @Override
    public void onCreate(Bundle savedInstanceState) {
    	
        super.onCreate(savedInstanceState);
        
        // Add the scente into the view
        scene = new GameScene(
        		this, 
        		this.getWindow().getAttributes().width,
        		this.getWindow().getAttributes().height,
        		BG_COLOR);
        
        sceneView = new SceneView(this, null, scene);
        sceneView.setFullScreen(this, true);
        
        setContentView(sceneView);
    }
    
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.game_menu, menu);
        return true;
    }
    
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        
        switch (item.getItemId()) {
        
            case R.id.new_game:
            	actionNewGame();
                return true;
                
            case R.id.pause_game:
            	actionPauseGame();
                return true;
                
            case R.id.exit_game:
            	actionExitGame();
            	return true;
            	
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    
    
    /**
     * New game action
     */
    private void actionNewGame() {
    	
    }
    
    
    /**
     * Pause action
     */
    private void actionPauseGame() {
    	
    }
    
    
    /**
     * Exit action
     */
    private void actionExitGame() {
    	finish();
    }
    
}
