package org.shadoware.eggskeeper;

import org.shadoware.eggskeeper.engine.Animator;
import org.shadoware.eggskeeper.engine.LiveSceneElement;
import org.shadoware.eggskeeper.engine.Textures;
import org.shadoware.eggskeeper.engine.Updatable;

import android.content.Context;


public class Owl extends LiveSceneElement implements Updatable {
	
	private final String ANIM_OWL 	= "owl";
	private final int[] SEQ_OWL 	= { 0, 		2,		0,	 	1,		3,		1  	 };
	private final int[] TIME_OWL 	= { 3000, 	500,	1000,	2000,	500, 	1000 };
	
	private final Animator animator;
	
	
	public Owl(Context context) {
		
		super(2, "textured");
		init(context);
		
		animator = new Animator();
		animator.addAnimation( ANIM_OWL, SEQ_OWL, TIME_OWL  );
	}
	
	
	/**
	 * Init the properties of the element
	 */
	private void init(Context context) {
		
		int mTexture = Textures.getInstance().addTexture(context, "owl.png");
    	setSize(0.15f);
    	setPosition(-0.15f, -0.1f, 0.0f);
    	
    	setTexture(mTexture);
	}

	
	public void update() {
		
		animator.update(ANIM_OWL);
		activeFrame = animator.getFrame(ANIM_OWL);
	}
	
}
