package org.shadoware.eggskeeper;

import org.shadoware.eggskeeper.engine.SceneElement;
import org.shadoware.eggskeeper.engine.Textures;
import org.shadoware.eggskeeper.engine.TouchControl;
import org.shadoware.eggskeeper.engine.Updatable;

import android.content.Context;


public class Touch extends SceneElement implements Updatable {
	
	private TouchControl controller;
	
	
	public Touch(Context context, TouchControl controller) {
		
		super("textured");
		this.controller = controller;
		
		int mTexture = Textures.getInstance().addTexture(context, "arrow.png");

    	setSize(0.1f);
    	setPosition2D(0.0f, 0.0f);
    	setTexture(mTexture);
	}
	
	
	public void update() {
		
		getPosition().setX( controller.getCenterX() );
		getPosition().setY( controller.getCenterY() );
		getRotation().setZ( controller.getAngle() );
		
		setVisible( controller.isPressed() );
	}
	
}
