package org.shadoware.eggskeeper.engine;

import java.util.ArrayList;
import java.util.List;

 
/**
 * HUD display to set SceneElements fixed in the camera
 * 
 * @author David Henar
 *
 */
public class HUD {
	
	private final List<HUDElement> elements = new ArrayList<HUDElement>();
	
	private Camera camera;
	
	public HUD(Camera camera) {
		this.camera = camera;
	}
	
	
	/**
	 * Update all elements into the HUD
	 */
	public void update() {
		for (HUDElement element : elements) {
			element.update(camera.getEye());
		}
	}
	
	
	/**
	 * Add an element into the HUD display
	 */
	public void addElement(HUDElement element) {
		elements.add(element);
	}
	
	
	/**
	 * Remove an element into the HUD display
	 */
	public void removeElement(HUDElement element) {
		elements.remove(element);
	}

	
	public List<HUDElement> getElements() {
		return elements;
	}

}
