package org.shadoware.eggskeeper.engine;

import org.shadoware.eggskeeper.engine.math.Tuple3f;


public class HUDElement {
	
	private float hudX;
	private float hudY;
	
	private SceneElement renderable;
	
	
	public HUDElement(SceneElement renderable) {
		this.renderable = renderable;
		setHUDPosition(
				renderable.getPosition().getX(), 
				renderable.getPosition().getY());
	}
	
	public HUDElement(SceneElement renderable, float x, float y) {
		this.renderable = renderable;
		setHUDPosition(x, y);
	}
	
	
	/**
	 * Set the position in the 
	 */
	public void setHUDPosition(float x, float y) {
		this.hudX = x;
		this.hudY = y;
	}
	
	
	/**
	 * Update the positions of the element
	 * 
	 * @param cameraEye - position of the camera
	 * @param HUDWidth
	 * @param HUDHeight
	 */
	public void update(Tuple3f camera) {
		
		renderable.update();
		renderable.setPosition(
				camera.getX() + renderable.size/2 + hudX,
				camera.getY() - renderable.size/2 + hudY, 
				camera.getZ()
		);
	}
	
	
	public SceneElement getRenderable() {
		return renderable;
	}
	
}
