package org.shadoware.eggskeeper.engine;

import org.shadoware.eggskeeper.engine.math.CollisionShape;
import org.shadoware.eggskeeper.engine.math.Rectangle2D;
import org.shadoware.eggskeeper.engine.physics.Body;


public class LiveSceneElement extends SceneElement {
	
	protected	final Body	body;
    protected	final CollisionShape	shape;
    
    
    public LiveSceneElement(int frames) {
    	
    	super(frames);
    	body = new Body( getPosition(), getRotation() );
    	shape = new Rectangle2D( getPosition(), getSize(), getSize());
    }
    
    
    public LiveSceneElement() {
    	
    	this(1);
    }
    
    
    public LiveSceneElement(int frames, String program) {
    	
    	this(frames);
    	mProgram = Shaders.getInstance().addProgram(program);
    }
    
    
    public LiveSceneElement(String program) {
    	
    	this(1,program);
    }
    
    
    public Body getBody() {
    	
		return body;
	}
    

	public CollisionShape getShape() {
		
		return shape;
	}

}
