package org.shadoware.eggskeeper.engine.math;


/**
 * Used to mannage collisions
 * 
 * @author David Henar
 *
 */
public abstract class CollisionShape {
	
	protected Tuple3f center;
	protected Tuple3f size;
	
	
	public CollisionShape(Tuple3f center, Tuple3f size) {
		this.center	= center;
		this.size	= size;
	}
	
	/**
	 * If the given shape is intersecting this shape
	 */
	public abstract boolean isIntersecting(CollisionShape shape);
	
	
	public Tuple3f getCenter() {
		return center;
	}


	public Tuple3f getSize() {
		return size;
	}

}
