package org.shadoware.eggskeeper.engine.math;


public class Rectangle2D extends CollisionShape {

	public Rectangle2D(Tuple3f center, float sizeX, float sizeY) {
		super(center, new Tuple3f(sizeX, sizeY, 0));
	}
	
	
	@Override
	public boolean isIntersecting(CollisionShape shape) {
		
		float sizeABx = (this.getSize().getX() + shape.getSize().getX())/2;
		float sizeABy = (this.getSize().getY() + shape.getSize().getY())/2;
		
		return ( 
				axixCheck(this.getCenter().getX(), shape.getCenter().getX(), sizeABx) &&
				axixCheck(this.getCenter().getY(), shape.getCenter().getY(), sizeABy)
		);
	}
	
	
	/**
	 * Checks the intersection in one axis.
	 * True if is inside the intersection zone in that axis
	 */
	private boolean axixCheck( float centerA, float centerB, float sizeAB) {
		return (
				(centerB >= (centerA - sizeAB)) && 
				(centerB <= (centerA + sizeAB))
		);
	}

}
